Zabezpečení ArcGIS Online bude používat novou verzi protokolu TLS

28. 2. 2019

Od 19. dubna 2019 bude aktualizován protokol, kterým se přistupuje k obsahu a službám ArcGIS Online (Transport Layer Security, TLS), na verzi 1.2. Tato změna se dotkne produktů Esri, které využívají služby ArcGIS Online, kam patří například podkladové mapy, hostované vrstvy prvků, geoprocessingové služby nebo položky ArcGIS Living Atlas. Zejména se jedná o produkty ArcGIS Desktop, ArcGIS Enterprise, aplikace postavené na ArcGIS Engine (ArcObjects), ArcGIS Runtime SDK a mobilní aplikace.

Ověřte si, zda vaše aplikace protokol TLS 1.2 podporují, nebo zda bude pro zajištění funkčnosti služeb ArcGIS Online v těchto aplikacích potřeba učinit nějaké kroky (např. instalaci patche). Přehled všech verzí produktů Esri s informací o podpoře TLS 1.2 naleznete na stránce technické podpory Esri. V případě, že není daná verze na TLS 1.2 připravena, naleznete tam také kroky k nápravě.

Stručné shrnutí:

ArcGIS Pro: bez problémů od verze 2.0, dřívější vyžadují patch.
ArcMap: bez problémů od verze 10.7, dřívější vyžadují patch.
ArcGIS Enterprise: bez problémů od verze 10.5.

Kam pro další informace

Kompletní informace o problematice TLS nabízí také článek zabezpečení ArcGIS Online služeb pomocí protokolu Transport Layer Security (TLS). Jelikož jsou informace na této stránce průběžně doplňovány a aktualizovány, doporučujeme sledovat aktualizace této stránky kliknutím na tlačítko Subscribe.

V dalším technickém článku Esri naleznete také odpovědi na často kladené otázky k TLS 1.2.

Postup pro otestování funkčnosti služeb ArcGIS Online se zabezpečením TLS 1.2 před 19. dubnem 2019 naleznete v článku na našich stránkách v sekci Tipy a Triky.